import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'full_calendar.dart';

/*
 *  自定义的日历选择 BottomSheet 弹框
 */
class CustomCalendarBottomSheet extends StatelessWidget {
  final DateTime firstDate;
  final DateTime? lastDate;
  final String locale;
  final DateTime selectedDate;
  final Function(DateTime) onDateChange;

  const CustomCalendarBottomSheet({
    Key? key,
    required this.firstDate,
    this.lastDate,
    required this.selectedDate,
    required this.locale,
    required this.onDateChange,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {

    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        const SizedBox(height: 20),
        Container(
          width: 60,
          height: 6,
          decoration: BoxDecoration(borderRadius: BorderRadius.circular(3.0), color: const Color(0xFFE0E0E0)),
        ),
        const SizedBox(height: 13.0),
        FullCalendar(
          startDate: firstDate,
          endDate: lastDate,
          selectedDate: selectedDate,
          padding: 25,
          locale: locale,
          dateColor: context.appColors.textBlack,
          dateSelectedBg: context.appColors.btnBgDefault,
          dateSelectedColor: Colors.white,
          events: [],
          onDateChange: onDateChange,
        ),
      ],
    );
  }
}
